Component({
  /**
   * 组件的属性列表
   */
  properties: {
    type: String,
    message: String
  },

  /**
   * 组件的初始数据
   */
  data: {
    message: '',
    visible: false
  },

  /**
   * 组件的方法列表
   */
  methods: {

  },
  lifetimes: {
    attached() {
      setTimeout(() => {
        const data = {
          visible: true
        }
        if(this.data.type === 'loading') {
          data.message = '登录鉴权中...'
        }
        this.setData(data)
      }, 100)
    },
  },
})
